petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatRestoreLocalSubMatrix

Restores a reference to a submatrix specified in local numbering

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatRestoreLocalSubMatrix(Mat mat,IS isrow,IS iscol,Mat *submat)

Not Collective Many br

### Input Arguments

mat - matrix to extract local submatrix from Many brisrow - local row indices for submatrix Many briscol - local column indices for submatrix Many brsubmat - the submatrix Many br

Many br

### See Also

MatGetLocalSubMatrix()

Level:intermediate
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex28.c.html
src/ts/examples/tutorials/ex14.c.html